> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client Credential



## OpenAPI

````yaml /openapi/openapi.json post /auth/client-credentials
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /auth/client-credentials:
    post:
      tags:
        - Authentication
      summary: Create Client Credential
      operationId: createClientCredential
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientCredentialCreateReq'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientCredential'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    ClientCredentialCreateReq:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        service_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Id
        role_ids:
          anyOf:
            - items:
                type: string
              type: array
              minItems: 1
            - type: 'null'
          title: Role Ids
        permission_ids:
          anyOf:
            - items:
                type: string
              type: array
              minItems: 1
            - type: 'null'
          title: Permission Ids
      additionalProperties: true
      type: object
      title: ClientCredentialCreateReq
    ClientCredential:
      properties:
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/User'
            - type: 'null'
        client_id:
          type: string
          title: Client Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        roles:
          items:
            $ref: '#/components/schemas/Role'
          type: array
          title: Roles
        service_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Id
        secret:
          type: string
          title: Secret
      type: object
      required:
        - created_by_user
        - client_id
        - roles
        - service_id
        - secret
      title: ClientCredential
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    User:
      properties:
        id:
          type: string
          title: Id
        email:
          type: string
          title: Email
        name:
          type: string
          title: Name
        profile_picture_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Picture Url
        phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number
        tenant_id:
          type: string
          title: Tenant Id
        created_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        last_login:
          anyOf:
            - type: string
            - type: string
              format: date-time
            - type: 'null'
          title: Last Login
      type: object
      required:
        - id
        - email
        - name
        - tenant_id
      title: User
    Role:
      properties:
        id:
          type: string
          title: Id
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        permissions:
          items:
            type: string
          type: array
          title: Permissions
      type: object
      required:
        - id
        - key
        - name
        - description
      title: Role
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````